Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Don't remove CLHM dependency from grails-web; instead add it to grail…

…s-core besides grails-web
  • Loading branch information...
commit 4a9752ee601bc7bb763b128d8608412c2a78832e 1 parent 9640ae9
@lhotari lhotari authored
View
4 grails-bootstrap/build.gradle
@@ -25,10 +25,6 @@ dependencies {
}
}
- compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
- exclude group: 'commons-logging', module:'commons-logging'
- }
-
// These 3 are required by UAA but not Grails (non OSGI version of excludes above)
compile 'com.google.protobuf:protobuf-java:2.4.1',
'com.googlecode.json-simple:json-simple:1.1',
View
3  grails-core/build.gradle
@@ -8,6 +8,9 @@ dependencies {
exclude group: 'commons-logging', module:'commons-logging'
exclude group: 'commons-beanutils', module:'commons-beanutils'
}
+ compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
+ exclude group: 'commons-logging', module:'commons-logging'
+ }
compile("org.springframework:spring-aop:${springVersion}") {
exclude group: 'commons-logging', module:'commons-logging'
}
View
3  grails-web/build.gradle
@@ -18,6 +18,9 @@ dependencies {
compile "commons-io:commons-io:${commonsIOVersion}"
compile "commons-lang:commons-lang:$commonsLangVersion"
+ compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
+ exclude group: 'commons-logging', module:'commons-logging'
+ }
compile 'opensymphony:sitemesh:2.4'
compile "org.springframework:spring-webmvc:${springVersion}"
Please sign in to comment.
Something went wrong with that request. Please try again.